Bug 739961 - Review Request: perl-Test-DBICSchemaLoaderDigest - Test the DBIC::Schema::Loader's MD5 sum
Summary: Review Request: perl-Test-DBICSchemaLoaderDigest - Test the DBIC::Schema::Loa...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 739887
TreeView+ depends on / blocked
 
Reported: 2011-09-20 14:43 UTC by Petr Pisar
Modified: 2011-09-26 09:08 UTC (History)
3 users (show)

Fixed In Version: perl-Test-DBICSchemaLoaderDigest-0.03-1.fcf17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 09:08:24 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-09-20 14:43:26 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Test-DBICSchemaLoaderDigest/perl-Test-DBICSchemaLoaderDigest.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-DBICSchemaLoaderDigest/perl-Test-DBICSchemaLoaderDigest-0.03-1.fc17.src.rpm
Description:
Hey DBIC::Schema::Loader dumps follow code:

   # DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:2lkIltTa9Ey3fExXmUB/gw

But, some programmer MODIFY THE ABOVE OF THIS CODE!!!!!!!!!!
AAAAHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!!!

This module tests that module. If you use this module, you can stop this
problem.

Comment 1 Petr Šabata 2011-09-22 09:25:43 UTC
Package: perl-Test-DBICSchemaLoaderDigest
Version: 0.03
Release: 1.fc17
Sources: Test-DBICSchemaLoaderDigest-0.03.tar.gz
Patches: 
----------
Package successfully built locally.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[ NOTE ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[ FAIL ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  --  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
1. The package description is weird.  I believe we could drop the extra exclamation marks.  Also the third line is treated like a comment by RPM, thus the resulting package description is even stranger.

2. I think you should BR perl(File::Spec) and change perl(YAML) to perl(YAML::Base) and perl(YAML::Node).

Comment 2 Petr Pisar 2011-09-22 13:05:39 UTC
Spec URL:
http://ppisar.fedorapeople.org/perl-Test-DBICSchemaLoaderDigest/perl-Test-DBICSchemaLoaderDigest.spec
SRPM URL:
http://ppisar.fedorapeople.org/perl-Test-DBICSchemaLoaderDigest/perl-Test-DBICSchemaLoaderDigest-0.03-1.fc17.src.rpm
Description:
DBIC::Schema::Loader dumps follow code:

  DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:2lkIltTa9Ey3fExXmUB/gw
  But, some programmer MODIFY THE ABOVE OF THIS CODE!

This module tests a module MD5 check sum. If you use this module, you can stop
this problem.


Updated package with is on the same addresses. Package database maintainer should use this new package description.

Comment 3 Petr Šabata 2011-09-22 13:13:25 UTC
--- perl-Test-DBICSchemaLoaderDigest.spec       2011-09-20 16:32:09.000000000 +0200
+++ perl-Test-DBICSchemaLoaderDigest.spec.new   2011-09-22 15:02:55.000000000 +0200
@@ -11,10 +11,14 @@
 BuildRequires:  perl(Digest::MD5)
 BuildRequires:  perl(Exporter)
 BuildRequires:  perl(ExtUtils::MakeMaker)
+# File::Spec used  by inc/Module/Install/Can.pm
+BuildRequires:  perl(File::Spec)
 # Filter::Util::Call used by inc/Test/Base.pm
 BuildRequires:  perl(Filter::Util::Call)
 BuildRequires:  perl(Test::More) >= 0.74
-BuildRequires:  perl(YAML)
+# YAML::* used by inc/YAML.pm
+BuildRequires:  perl(YAML::Base)
+BuildRequires:  perl(YAML::Node)
 Requires:       perl(Test::More) >= 0.74
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
@@ -22,15 +26,13 @@
 %global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Test::More\\)\\s*$
 
 %description
-Hey DBIC::Schema::Loader dumps follow code:
+DBIC::Schema::Loader dumps follow code:
 
-   # DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:2lkIltTa9Ey3fExXmUB/gw
+  DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:2lkIltTa9Ey3fExXmUB/gw
+  But, some programmer MODIFY THE ABOVE OF THIS CODE!
 
-But, some programmer MODIFY THE ABOVE OF THIS CODE!!!!!!!!!!
-AAAAHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!!!
-
-This module tests that module. If you use this module, you can stop this
-problem.
+This module tests a module MD5 check sum. If you use this module, you can stop
+this problem.
 
 
 %prep

---

Much better now :)

Comment 4 Petr Pisar 2011-09-22 13:25:04 UTC
New Package SCM Request
=======================
Package Name: perl-Test-DBICSchemaLoaderDigest 
Short Description: Test the DBIC::Schema::Loader's MD5 sum
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2011-09-24 15:54:19 UTC
Git done (by process-git-requests).

Comment 6 Petr Pisar 2011-09-26 09:08:24 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.